import _ from 'lodash'

export default {
    execute(context, param) {
        if(!param.billDefine || !param.billId){
            context.dom.$Message.info("请配置按钮指定参数");
            return;
        }
        context.dom.$Modal.confirm({
            title: "提示",
            content: "确认删除吗？",
            loading: true,
            onOk: () => {
                this.billDeleted(context, param);
            }
        })
    },
    billDeleted(context, param) {
        GMS.$http.post(
            '/rbc/bill/action/deleteExpenceAccount',{
                billDefine: param.billDefine,
                billId: context.selects[0][param.billId],
                subTableNames: _.isEmpty(param.subTableNames) ? 'BXMXZB' : param.subTableNames
            }
        ).then((data) => {
            if (data.status == 200 && data.data.code == 0) {
                context.dom.$Modal.remove();
                context.dom.$Message.success('删除成功');
                GMS.vbus.$emit('custom-query-refresh');
                GMS.vbus.$emit('tab-count-refresh');
            } else {
                context.dom.$Modal.remove();
                context.dom.$Message.error(data.data.message);
            }
        })
    }
}
